.menu{
  width: 4.69rem;
  background: url(../image/menu-bg.png) no-repeat;
  background-size: cover;
  height: 100%;
  position: fixed;
  z-index: 9;
  pointer-events: none;
}

.menu ul {
  left: 0.11rem;
  height: 4.6rem;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  transition: transform 0.3s ease;
  pointer-events: auto;
}

.menu ul li {
  width: 1.35rem;
  display: flex;
  gap: 0.2rem;
  align-items: center;
  justify-content: center;
  transition: transform 0.3s ease;
}

.menu ul li.active {
  width: 1.8rem;
  gap: 0rem
}

.menu ul li .icon {
  display: inline-block;
  width: 0.29rem;
  height: 0.2rem;
  background: url(../image/menu-icon.png) no-repeat;
  background-size: cover;
}

.menu ul li.active .icon {
  display: inline-block;
  width: 0.41rem;
  height: 0.28rem;
  background: url(../image/menu-icon-active.png) no-repeat;
  background-size: cover;
  margin-left: 0.17rem;
}

.menu ul li a {
  display: block;
  flex: 1;
  text-align: left;
  font-size: 0.21rem;
  color: #ebe5e5;
  font-family: 'Source Han Serif CN', serif;
  font-weight: bold;
}

/* 激活状态的 icon 样式 - 关键修改在这里 */
.menu ul li.active a {
  /* 修改了这一行 */
  background: linear-gradient(to bottom, #fdeeca, #f8c475);
  -webkit-background-clip: text;
  color: transparent;
  font-size: 0.26rem;
  padding-left: 0.14rem;
}

#fullpage {
  position: relative;
  z-index: 0;
}

.home {
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;
  background-size: cover;

}
.home .home-bg-video {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
    pointer-events: none;
}

.home .fp-tableCell {
  position: relative;
  z-index: 1;
}
.home .container {
    position: absolute;
    z-index: 1;
    left: 50%;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 9rem;
    top: 65%;
    transform: translate(-50%, -50%);
}
.home .container .slo{
    width: 8.63rem;
    height: 2.92rem;
    object-fit: cover;
}
.home .container .content {
    width: 8.95rem;
    height: 2.56rem;
    background: url(../image/h-content-bg.png) no-repeat;
    background-size: cover;
  /*padding: 0.4rem 0.84rem;*/
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.15rem;
}
.home .container .content .tips {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.15rem;
}

.home .container .content .tips a {
  display: inline-block;
  width: 1.37rem;
  height: 1.7rem;
  background: url(../image/16+.png) no-repeat;
  background-size: cover;
}

.home .container .content .tips a:nth-child(2) {
  display: inline-block;
  width: 1.36rem;
  height: 1.7rem;
  background: url(../image/h-dn.png) no-repeat;
  background-size: cover;
}

.home .container .content .tips a:nth-child(3) {
  display: inline-block;
  width: 1.36rem;
  height: 1.7rem;
  background: url(../image/h-gw.png) no-repeat;
  background-size: cover;
}

.home .container .content .tips a:nth-child(4) {
  display: inline-block;
  width: 1.37rem;
  height: 1.7rem;
  background: url(../image/h-jl2.png) no-repeat;
  background-size: cover;
}

.home .container .content .download {
  display: flex;
  height: 1.3rem;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
    position: relative;
}

.home .container .content .download img {
    position: absolute;
    right: -2.3rem;
    top: -0.2rem;
    display: none;
}

.home .container .content .download a {
  display: inline-block;
  width: 1.46rem;
  height: 0.59rem;
  background: url(../image/h-phone-download-btn.png) no-repeat;
  background-size: cover;
}

.home .container .content .download a:nth-child(2) {
  background-position-y: -0.59rem;
}


.right-Information {
    position: absolute;
    right: 0.3rem;
    top: 50%;
    transform: translateY(-50%);
    z-index: 99;
    display: flex;
    align-items: center;
}

.info-toggle {
    display: flex;
    align-items: center;
    cursor: pointer;
    user-select: none;
}

.toggle-text {
    font-size: 0.24rem;
    color: #edd8b4;
    writing-mode: vertical-lr;
    letter-spacing: 0.05rem;
    transition: all 0.3s ease;
    font-weight: bold;
}

.toggle-icon {
    width: 0.31rem;
    height: 0.46rem;
    margin-left: 0.02rem;
    background: url(../image/expand-icon.png) no-repeat center;
    background-size: contain;
    transition: transform 0.3s ease;
}

.info-content {
    display: flex;
    flex-direction: column;
    gap: 0.2rem;
    margin-left: 0.15rem;
    opacity: 1;
    transform: translateX(0);
    transition: all 0.4s ease;
    height: 2.3rem;
    justify-content: space-between;
}

.info-item {
    display: block;
    background-size: cover;
    background-repeat: no-repeat;
}

.info-item.qq {
    width: 0.34rem;
    height: 0.4rem;
    background-image: url(../image/qq-icon.png) ;
    background-size: cover;
}

.info-item.wechat {
    width: 0.43rem;
    height: 0.36rem;
    background-image: url(../image/wechat-icon.png);
    background-size: cover;
}

.info-item.douyin {
    width: 0.37rem;
    height: 0.42rem;
    background-image: url(../image/douyin-icon.png);
    background-size: cover;
}

.info-item.kf {
    width: 0.34rem;
    height: 0.4rem;
    background-image: url(../image/kf-icon.png);
    background-size: cover;
}


.info-item-wrapper {
    position: relative;
}

.tooltip {
    position: absolute;
    right: 100%;
    top: 50%;
    transform: translateY(-50%);
    margin-right: 0.15rem;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;
    pointer-events: none;
    white-space: nowrap;
    z-index: 100;
}


.tooltip img {
    width: 1.5rem;
    height: 1.5rem;
    object-fit: cover;
    display: block;
}


.text-tooltip {

    color: #f8c475;
    font-size: 0.16rem;
    white-space: nowrap;
}


.info-item-wrapper:hover .tooltip {
    opacity: 1;
    visibility: visible;
    transform: translateY(-50%) translateX(-0.1rem);
}


.right-Information.collapsed .info-content {
    opacity: 0;
    transform: translateX(100%);
    pointer-events: none;
}

.right-Information.collapsed .toggle-text {
    content: '展开';
}

.right-Information.collapsed .toggle-icon {
    transform: rotate(180deg);
}

.right-Information.collapsed .info-toggle {
    flex-direction: row-reverse;
}


/* 首页end */



.news {
  width: 100%;
  height: 100%;
  background: url(../image/news.jpg) center no-repeat;
  background-size: cover;
}

.news .container {
  width: 12.72rem;
  height: 4.85rem;
  margin: 0.7rem auto 0;
  position: relative;

}

.news .container::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(../image/news-container.png) center no-repeat;
  background-size: cover;
  z-index: 10;
  pointer-events: none;
}

.news .container .content {
  width: 12.2rem;
  margin: 0 auto 0;
  padding-top: 0.11rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.news-swiper {
  width: 7.3rem;
  height: 100%;
  margin: 0;
  overflow: hidden;
  position: relative;
}

.news-swiper .swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
}

.news-swiper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.news-swiper .swiper-pagination {
  position: absolute;
  bottom: 0.25rem;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.12rem;
}

.news-swiper .swiper-pagination-bullet {
  width: 0.18rem;
  height: 0.18rem;
  background: url(../image/swiper-pagination-bullet.png) no-repeat;
  background-size: cover;
  opacity: 1;
}

.news-swiper .swiper-pagination-bullet-active {
  width: 0.18rem;
  height: 0.18rem;
  background: url(../image/swiper-pagination-bullet-active.png) no-repeat;
  background-size: cover;
}

.news-tab {
  width: 5rem;
  height: 4.6rem;
  background: rgba(0, 0, 0, 0.7);
}

.tab-buttons {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 0.01rem solid #ffb94d;
  width: 4.21rem;
  margin: 0.15rem auto 0;
}

.tab-btn {
  padding: 0 0.25rem;
  line-height: 0.48rem;
  background: none;
  border: none;
  cursor: pointer;
  font-size: 0.18rem;
  color: #fff;
  transition: all 0.3s ease;
  font-weight: bold;
  font-family: sans-serif;
}

.tab-btn.active {
  color: #ffb94d;
}




.tab-content {
  width: 4.21rem;
  margin: 0 auto;
}

.tab-pane {
  display: none;
  animation: fadeIn 0.5s;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.tab-pane.active {
  display: block;
}

.news-title {
  background: #af7f35;
  width: 100%;
  height: 0.55rem;
  margin: 0.25rem auto 0.12rem;
}

.news-title p {
  text-align: center;
  line-height: 0.55rem;
  color: #ffffff;
  font-size: 0.16rem;
}

.news-list {
  list-style: none;
  padding: 0;
  margin: 0;
  height: 2.5rem;
  overflow: hidden;
  /* overflow-y: auto;
  scrollbar-width: none; */
}

.more {
  text-align: center;
}

.more a {
  color: #dfb26d;
  font-size: 0.3rem;
  font-weight: bold;
}




.news-list li a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #bdbdbd;
}

.news-list li a p {
  font-size: 0.14rem;

  line-height: 0.35rem;
}

.news-list li a p:first-child {
  width: 3.2rem;
  overflow: hidden;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.news-list li a:hover {
  color: #ffb94d;
}

/* 最新资讯end */



.jobs {
  width: 100%;
  height: 100%;
  background: url(../image/jobs.jpg) center no-repeat;
  background-size: cover;
}

.jobs .container {
  width: 100%;
  height: 100%;
  margin: 0 auto;
}

.jobs-main-panel {
  position: relative;
  width: 100%;
  height: 100%;
}

.job-buttons {
  position: absolute;
  z-index: 2;
  display: flex;
  align-items: center;
  gap: 0.06rem;
  left: 9.1rem;
  top: 3.8rem;
}

.job-btn {
  width: 1.84rem;
  height: 5.35rem;
  cursor: pointer;
  background-size: cover;
  background-repeat: no-repeat;
}

.job-buttons .job-btn:nth-child(odd) {
  margin-top: 0.5rem;
}


.job-content {
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-size: cover;
  background-repeat: no-repeat;
  transition: background-image 0.5s ease-in-out;
}

.job-btn[data-job="job1"] {
  width: 1.84rem;
  height: 5.35rem;
  background: url(../image/i-job-zs.png) no-repeat;
    background-size: cover;
}

.job-btn.active[data-job="job1"] {
  background-position-y: -5.35rem;
}

.job-btn[data-job="job2"] {
  width: 1.84rem;
  height: 5.35rem;
  background: url(../image/i-job-dz.png) no-repeat;
    background-size: cover;
}

.job-btn.active[data-job="job2"] {
  background-position-y: -5.35rem;
}

.job-btn[data-job="job3"] {
  width: 1.85rem;
  height: 5.35rem;
  background: url(../image/i-job-gjs.png) no-repeat;
    background-size: cover;
}

.job-btn.active[data-job="job3"] {
  background-position-y: -5.35rem;
}

.job-btn[data-job="job4"] {
  width: 1.85rem;
  height: 5.35rem;
  background: url(../image/i-job-ws.png) no-repeat;
    background-size: cover;
}

.job-btn.active[data-job="job4"] {
  background-position-y: -5.35rem;
}

.job-btn[data-job="job5"] {
  width: 1.85rem;
  height: 5.35rem;
  background: url(../image/i-job-js.png) no-repeat;
    background-size: cover;
}

.job-btn.active[data-job="job5"] {
  background-position-y: -5.35rem;
}

.job1-bg {
  background: url(../image/i-job-zs-bg.png) no-repeat;
    background-size: cover;
}

.job2-bg {
  background: url(../image/i-job-dz-bg.png) no-repeat;
    background-size: cover;
}

.job3-bg {
  background: url(../image/i-job-gjs-bg.png) no-repeat;
    background-size: cover;
}

.job4-bg {
  background: url(../image/i-job-ws-bg.png) no-repeat;
    background-size: cover;
}

.job5-bg {
  background: url(../image/i-job-js-bg.png) no-repeat;
    background-size: cover;
}
/* 职业样式end */


.map {
  width: 100%;
  height: 100%;
  background: url(../image/map.jpg) top no-repeat;
  background-size: cover;
}

.map .container {
  width: 100%;
  height: 100%;
  position: relative;
}

.map .container .point {
  display: flex;
  align-items: center;
}

.map .container .point a {
  display: inline-block;
  width: 1.69rem;
  height: 2.08rem;
  background: url(../image/m-point.png) no-repeat;
  background-size: cover;
}

.map .container .point a:hover {
  animation: breathe 1.5s ease-in-out infinite;
}


@keyframes breathe {

  0%,
  100% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.08);
  }
}

.map .container .point .btn {

  margin-left: -0.6rem;
  margin-top: -0.6rem;
  cursor: pointer;
}

.map .container .point-wn {
  position: absolute;
  left: 3rem;
  top: 1.28rem;

}

.map .container .point-ln {
  position: absolute;
  left: 4.2rem;
  top: 7rem;
}

.map .container .point-ht {
  position: absolute;
  left: 5.9rem;
  top: 4.3rem;
}

.map .container .point-bl {
  position: absolute;
  left: 10.3rem;
  top: 5.2rem;
}

.map .container .point-hg {
  position: absolute;
  left: 14.65rem;
  top: 1.7rem;
}

.map .container .point-wn .btn {
  width: 2.37rem;
  height: 1.1rem;
  background: url(../image/m-wn-btn.png) no-repeat;
  background-size: cover;
}

.map .container .point-ln .btn {
  width: 2.37rem;
  height: 1.1rem;
  background: url(../image/m-ln-btn.png) no-repeat;
  background-size: cover;
}

.map .container .point-ht .btn {
  width: 2.37rem;
  height: 1.1rem;
  background: url(../image/m-ht-btn.png) no-repeat;
  background-size: cover;
}

.map .container .point-bl .btn {
  width: 2.37rem;
  height: 1.1rem;
  background: url(../image/m-bl-btn.png) no-repeat;
  background-size: cover;
}

.map .container .point-hg .btn {
  width: 2.37rem;
  height: 1.1rem;
  background: url(../image/m-hg-btn.png) no-repeat;
  background-size: cover;
}

/* 地图详情弹框样式 */
.mapModal{
    background: transparent;
}
.map-modal-content-box {
  width: 12.72rem;
  height: 4.85rem;

}

.map-modal-close {
  position: absolute;
  top: 0.2rem;
  width: 0.33rem;
  height: 0.33rem;
  right: -0.25rem;
  cursor: pointer;
  z-index: 10;
  background: url('../image/map-close-icon.png') no-repeat;
  background-size: cover;
}

.map-swiper {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.map-swiper .swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  /* padding: 0 0.35rem; */
  position: relative;
}

.map-swiper .swiper-slide::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('../image/map_modal_bg.png') no-repeat;
  background-size: cover;
  z-index: 10;
  pointer-events: none;
}

.map-swiper .swiper-slide img {
  width: 7.1rem;
  height: 4.52rem;
  object-fit: cover;
}

.map-swiper .swiper-slide-text {
  width: 4.9rem;
  height: 4.52rem;
  background: rgba(36, 23, 6, 0.8);
}

.map-swiper .swiper-slide-text .title {
  font-size: 0.24rem;
  color: #ffb94d;
  font-weight: bold;
  line-height: 0.7rem;
  border-bottom: 0.01rem solid #ffb94d;
}

.map-swiper .swiper-slide-text p {
  margin: 0 0.2rem;
}

.map-swiper .swiper-slide-text .desc {
  font-size: 0.2rem;
  color: #bdbdbd;
  line-height: 0.4rem;
}

.map-pagination {
  position: absolute !important;
  bottom: -0.3rem !important;
  left: 50% !important;
  transform: translateX(-50%);
  width: auto !important;
}

.map-pagination .swiper-pagination-bullet {
  width: 0.18rem;
  height: 0.18rem;
  background: url(../image/swiper-pagination-bullet.png) no-repeat;
  background-size: cover;
  opacity: 1;
  margin: 0 0.08rem !important;
}

.map-pagination .swiper-pagination-bullet-active {
  width: 0.18rem;
  height: 0.18rem;
  background: url(../image/swiper-pagination-bullet-active.png) no-repeat;
  background-size: cover;
}

.map-modal-prev,
.map-modal-next {
  color: transparent !important;
  position: absolute !important;
  top: 50% !important;
  transform: translateY(-50%);
  width: 0.42rem;
  height: 0.58rem;
}

.map-modal-prev {
  left: -0.3rem !important;
  background: url(../image/left-icon.png) no-repeat;
  background-size: cover;
}

.map-modal-next {
  right: -0.3rem !important;
  background: url(../image/right-icon.png) no-repeat;
  background-size: cover;
}

/* map样式end */



.nations {
  width: 100%;
  height: 100%;
  background: url(../image/nations.jpg) center no-repeat;
  background-size: cover;
}

.nations .container {
  width: 15.48rem;
  height: 9.3rem;
  margin: 0.8rem auto 0;
  background: url(../image/nations-container.png) center no-repeat;
  background-size: cover;
  position: relative;
}

.nations-top {
  position: relative;
  width: 13.5rem;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 1.35rem;
  padding-right: 0.5rem;
}

.nations-list {
  display: none;
  width: 100%;
  justify-content: center;
  align-items: center;
  gap: 0.2rem;
  animation: fadeIn 0.5s ease;
}

.nations-list.active {
  display: flex;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.nation-image {
  width: 9rem;
  height: 5.61rem;
  overflow: hidden;
}

.nation-image img {
  width: 9rem;
  height: 5.61rem;
  object-fit: cover;
  transition: opacity 0.5s ease;
}

.nation-info {
  width: 4.1rem;
  color: #4a2a0f;
}

.nation-name {
  font-size: 0.26rem;
  color: #4a2a0f;
  margin-bottom: 0.2rem;
  font-weight: bold;
  border-bottom: 0.01rem solid #896140;
  line-height: 0.7rem;
}

.nation-desc {
  font-size: 0.2rem;
  line-height: 1.8;
  color: #4a2a0f;
  text-align: justify;
}

.nations-bottom {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.2rem;
    width: 13.5rem;
    margin: 0.05rem auto 0;
}

.nation-avatar {
  width: 2.69rem;
  height: 1.55rem;
  cursor: pointer;
  overflow: hidden;
  transition: all 0.3s ease;
  position: relative;
}

.nation-avatar::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  z-index: 5;
  pointer-events: none;
  transition: background 0.3s ease;
}

.nation-avatar::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(../image/nation1-avatar-border.png) no-repeat;
  background-size: cover;
  z-index: 10;
  /* 层级最高 */
  pointer-events: none;
}

.nation-avatar.active::before {
  background: transparent;
}

.nation-avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: relative;
  z-index: 1;
}

.nation-avatar:hover {
  opacity: 1;
  transform: translateY(-5px);
}
.nations .ding{
  position: absolute;
  top: 1.1rem;
  left: 0.2rem;
width: 1.69rem;
height: 1.52rem;

}
.nations .ding img{
width: 1.69rem;
height: 1.52rem;
object-fit: cover;
}
/* 国家介绍样式end */



.games {
  width: 100%;
  height: 100%;
  background: url(../image/games.jpg) center no-repeat;
  background-size: cover;
}

.games .container {
  width: 12.8rem;
  margin: 0.1rem auto 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.games-swiper-box {
  width: 100%;
  position: relative;
}

.games-swiper {
  width: 11.06rem;
  height: 5.96rem;
  margin: 0 auto;
}

.games-swiper .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.games-pagination {
  position: absolute !important;
  bottom: -0.3rem !important;
  left: 50% !important;
  transform: translateX(-50%);
  width: auto !important;
}



.games-pagination .swiper-pagination-bullet {
  width: 0.18rem;
  height: 0.18rem;
  background: url(../image/swiper-pagination-bullet.png) no-repeat;
  background-size: cover;
  opacity: 1;
  margin: 0 0.08rem !important;
}

.games-pagination .swiper-pagination-bullet-active {
  width: 0.18rem;
  height: 0.18rem;
  background: url(../image/swiper-pagination-bullet-active.png) no-repeat;
  background-size: cover;
}

.games-prev,
.games-next {
  top: 50% !important;
  width: 0.42rem;
  height: 0.58rem;
  color: transparent !important;
}

.games-prev {
  left: 0 !important;
  background: url(../image/left-icon.png) no-repeat;
  background-size: cover;
}

.games-next {
  right: 0 !important;
  background: url(../image/right-icon.png) no-repeat;
  background-size: cover;
}

.games-prev::after,
.games-next::after {
  font-size: 0.4rem !important;
}

.newPeople {
    width:9.316rem;
    height: 5.64rem;
    background: url(../image/newPeople-bg1.png) no-repeat;
    background-size: cover;
    position: relative;
}

.custom-modal-close{
    position: absolute;
    top: 0.15rem;
    right: 0.05rem;
    cursor: pointer;
    z-index: 10;
    width: 0.25rem;
    height: 0.25rem;
    opacity: 0;
}

.custom-modal-content{
    width: 5.8rem;
    margin: 3.5rem auto 0;
}



.cdk-code-box {
    
    display: flex;
    align-items: center;
    justify-content: center;
}
.cdk-code-box span{
  color: #ffdaab;
  font-size: 0.21rem;
  font-weight: bold;
  height: 0.47rem;
  line-height: 0.47rem;
}
.cdk-code-box span:last-child {
    color: #b89f80;
    font-weight: bold;
    margin-left: 0.1rem;
    border: 0.01rem solid #b89f80;
    background: #4a2a0f;
    padding: 0 0.2rem;
}

.cdk-claim-btn {
    display: flex;
    justify-content: center;
    margin-top: 0.25rem;
}

.cdk-claim-btn a {
   display: inline-block;
   width: 1.46rem;
   height: 0.59rem;
   background: url(../image/getBtn.png) no-repeat;
   background-size: cover;
}
.cdk-claim-btn a.geted{
  background-position-y: -0.59rem;
}
